Printago API
GET /v1/materials/variants/{id}

Get variant by ID

Get a specific material variant

Requires: material.view

Path Parameters

id required
string
Variant ID

Response Schema

MaterialVariant
colorrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptional
string
filamentSystemProfileIdrequired
number
filamentUserProfileIdrequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
materialIdrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
pressureAdvanceoptional
number
pricePer1000goptional
number
sourceoptional
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
tagsrequired
string[]
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "name": "string",
  "materialId": "string",
  "tags": [
    "string"
  ],
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-09-09T20:31:46.707Z",
  "updatedAt": "2026-09-09T20:31:46.707Z"
}